libosmo-sigtran 2.2.1.56-7580 Osmocom SIGTRAN library

Data Fields
osmo_ss7_route Struct Reference

`#include <ss7_route.h>`

## Data Fields
struct llist_head | list
| member in osmo_ss7_combined_linkset::routes More...
struct osmo_ss7_route_table * | rtable
| osmo_ss7_route_table to which we belong More...
struct osmo_ss7_combined_linkset * | clset
enum osmo_ss7_route_status | status
struct {
struct osmo_ss7_linkset * linkset
| pointer to linkset (destination) of route More...
struct osmo_ss7_as * as
| pointer to Application Server More...
} | dest
struct {
uint32_t pc
uint32_t mask
char * linkset_name
| human-specified linkset name More...
uint32_t priority
| lower priority is higher More...
uint8_t qos_class
bool dyn_allocated
} | cfg

## Field Documentation

## ◆ as

struct osmo_ss7_as* osmo_ss7_route::as

pointer to Application Server

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), gen_mtp_transfer_req_xua(), handle_rkey_dereg(), handle_rkey_reg(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), mtp3_hmrt_message_for_routing(), mtp3_rtpc_rx_msg_for_inaccessible_sp(), osmo_ss7_route_get_dest_as(), osmo_ss7_route_name(), ss7_combined_linkset_lookup_route(), ss7_route_dest_is_available(), ss7_route_set_linkset(), ss7_route_table_del_routes_by_as(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_update_route_status_by_as(), xua_snm_srm_pc_available(), and xua_snm_srm_pc_available_single().

## ◆

struct { ... } osmo_ss7_route::cfg

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), DEFUN_ATTR(), osmo_ss7_route_name(), osmo_ss7_route_print(), ss7_route_alloc(), ss7_route_insert(), ss7_route_is_fully_qualified(), ss7_route_set_linkset(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_update_route_status_by_as(), vty_dump_rtable(), and write_one_rtable().

## ◆ clset

struct osmo_ss7_combined_linkset* osmo_ss7_route::clset

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), ss7_combined_linkset_add_route(), ss7_combined_linkset_assign_route_roundrobin(), ss7_combined_linkset_del_route(), ss7_combined_linkset_is_available(), ss7_combined_linkset_select_route_roundrobin(), ss7_route_insert(), ss7_route_table_del_routes_by_as(), ss7_route_table_del_routes_by_linkset(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_update_route_status_by_as(), vty_dump_rtable(), and write_one_rtable().

## ◆

struct { ... } osmo_ss7_route::dest

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), gen_mtp_transfer_req_xua(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), mtp3_hmrt_message_for_routing(), mtp3_rtpc_rx_msg_for_inaccessible_sp(), osmo_ss7_route_get_dest_as(), osmo_ss7_route_name(), ss7_combined_linkset_lookup_route(), ss7_route_dest_is_available(), ss7_route_set_linkset(), ss7_route_table_del_routes_by_as(), ss7_route_table_del_routes_by_linkset(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_route_by_dpc_mask_as(), and ss7_route_table_update_route_status_by_as().

## ◆ dyn_allocated

bool osmo_ss7_route::dyn_allocated

Referenced by osmo_ss7_route_name(), ss7_route_alloc(), ss7_route_insert(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), vty_dump_rtable(), and write_one_rtable().

## ◆ linkset

struct osmo_ss7_linkset* osmo_ss7_route::linkset

pointer to linkset (destination) of route

Referenced by gen_mtp_transfer_req_xua(), mtp3_hmrt_message_for_routing(), osmo_ss7_route_name(), ss7_route_dest_is_available(), ss7_route_set_linkset(), and ss7_route_table_del_routes_by_linkset().

## ◆ linkset_name

char* osmo_ss7_route::linkset_name

human-specified linkset name

Referenced by ss7_route_create(), ss7_route_insert(), ss7_route_set_linkset(), vty_dump_rtable(), and write_one_rtable().

## ◆ list

struct llist_head osmo_ss7_route::list

member in osmo_ss7_combined_linkset::routes

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), ss7_combined_linkset_add_route(), ss7_combined_linkset_assign_route_roundrobin(), ss7_combined_linkset_del_route(), ss7_combined_linkset_is_available(), ss7_combined_linkset_select_route_roundrobin(), ss7_route_alloc(), ss7_route_insert(), ss7_route_inserted(), ss7_route_table_del_routes_by_as(), ss7_route_table_del_routes_by_linkset(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_update_route_status_by_as(), vty_dump_rtable(), and write_one_rtable().

## ◆ mask

uint32_t osmo_ss7_route::mask

Referenced by DEFUN_ATTR(), osmo_ss7_route_name(), osmo_ss7_route_print(), ss7_route_alloc(), ss7_route_create(), ss7_route_insert(), ss7_route_is_fully_qualified(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), u32_masklen(), write_one_rtable(), and xua_snm_srm_pc_available().

## ◆ pc

uint32_t osmo_ss7_route::pc

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), osmo_ss7_route_name(), osmo_ss7_route_print(), ss7_route_alloc(), ss7_route_insert(), ss7_route_table_update_route_status_by_as(), and write_one_rtable().

## ◆ priority

uint32_t osmo_ss7_route::priority

lower priority is higher

Referenced by DEFUN_ATTR(), osmo_ss7_route_name(), ss7_route_alloc(), ss7_route_insert(), vty_dump_rtable(), and write_one_rtable().

## ◆ qos_class

uint8_t osmo_ss7_route::qos_class

Referenced by DEFUN_ATTR(), vty_dump_rtable(), and write_one_rtable().

## ◆ rtable

struct osmo_ss7_route_table* osmo_ss7_route::rtable

osmo_ss7_route_table to which we belong

Referenced by DEFUN_ATTR(), osmo_ss7_route_name(), osmo_ss7_route_print(), ss7_route_alloc(), ss7_route_insert(), ss7_route_is_fully_qualified(), ss7_route_set_linkset(), and write_one_rtable().

## ◆ status

enum osmo_ss7_route_status osmo_ss7_route::status

Referenced by as_snm_pc_unavailable(), ss7_route_alloc(), ss7_route_is_available(), ss7_route_table_update_route_status_by_as(), ss7_route_update_route_status(), and vty_dump_rtable().

The documentation for this struct was generated from the following file:

- src/ss7_route.h